## mpg123 1.26.4

=== ports/cmake/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

project(mpg123 VERSION 1.26.0 LANGUAGES C ASM)

include(cmake/search_libs.cmake)
include(cmake/read_api_version.cmake)
include(CMakePackageConfigHelpers)
include(GNUInstallDirs)

read_api_version(API_VERSION OUTAPI_VERSION SYNAPI_VERSION)
set(PACKAGE_VERSION ${PROJECT_VERSION})
add_subdirectory("src")

install(
    EXPORT targets
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}"
    NAMESPACE MPG123::)

configure_package_config_file(
    mpg123-config.cmake.in mpg123-config.cmake
    INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")
write_basic_package_version_file(
    mpg123-config-version.cmake COMPATIBILITY AnyNewerVersion)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/mpg123-config.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/mpg123-config-version.cmake"
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")

set(prefix "${CMAKE_INSTALL_PREFIX}")
set(exec_prefix "${CMAKE_INSTALL_PREFIX}")
set(libdir "${CMAKE_INSTALL_FULL_LIBDIR}")
set(includedir "${CMAKE_INSTALL_FULL_INCLUDEDIR}")
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/../../libmpg123.pc.in" libmpg123.pc @ONLY)
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/../../libout123.pc.in" libout123.pc @ONLY)
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/../../libsyn123.pc.in" libsyn123.pc @ONLY)

install(
    FILES
        "${CMAKE_CURRENT_BINARY_DIR}/libmpg123.pc"
        "${CMAKE_CURRENT_BINARY_DIR}/libout123.pc"
        "${CMAKE_CURRENT_BINARY_DIR}/libsyn123.pc"
    DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
install(
    FILES
        "${CMAKE_CURRENT_SOURCE_DIR}/../../man1/mpg123.1"
        "${CMAKE_CURRENT_SOURCE_DIR}/../../man1/out123.1"
    DESTINATION "${CMAKE_INSTALL_MANDIR}")

=== ports/cmake/src/libout123/modules/CMakeLists.txt ===
if(NOT USE_MODULES)
    add_library(defaultmodule STATIC
        "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/$<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},dummy>:dummy.c>"
        "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/$<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},coreaudio>:coreaudio.c>"
        "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/$<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},alsa>:alsa.c>"
        "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/$<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},tinyalsa>:tinyalsa.c>"
        "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/$<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},pulse>:pulse.c>"
        "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/$<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},win32>:win32.c>"
        "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/$<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},win32_wasapi>:win32_wasapi.c>")
    target_link_libraries(defaultmodule PUBLIC
        $<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},alsa>:ALSA::ALSA>
        $<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},tinyalsa>:${TINYALSA_LIBRARIES}>
        $<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},coreaudio>:${AUDIO_TOOLBOX}>
        $<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},pulse>:${PULSE_LIBRARIES}>
        $<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},win32>:${WIN32_LIBRARIES}>
        $<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},win32_wasapi>:${WIN32_WASAPI_LIBRARIES}>)
    if(DEFAULT_OUTPUT_MODULE STREQUAL "pulse")
        target_compile_definitions(defaultmodule PRIVATE ${PULSE_CFLAGS})
    elif(DEFAULT_OUTPUT_MODULE STREQUAL "tinyalsa")
        target_compile_definitions(defaultmodule PRIVATE ${TINYALSA_CFLAGS})
    endif()
    if(BUILD_SHARED_LIBS)
        set_target_properties(defaultmodule PROPERTIES POSITION_INDEPENDENT_CODE ON)
    endif()
else()
    set(CMAKE_SHARED_MODULE_PREFIX "")
    list(FIND OUTPUT_MODULES coreaudio INDEX)
    if(NOT INDEX EQUAL -1)
        add_library(output_coreaudio MODULE "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/coreaudio.c")
        target_link_libraries(output_coreaudio PRIVATE ${AUDIO_TOOLBOX})
        install(TARGETS output_coreaudio
            ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}/${PROJECT_NAME}")
    endif()
    list(FIND OUTPUT_MODULES alsa INDEX)
    if(NOT INDEX EQUAL -1)
        add_library(output_alsa MODULE "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/alsa.c")
        target_link_libraries(output_alsa PRIVATE ALSA::ALSA)
        install(TARGETS output_alsa
            ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}/${PROJECT_NAME}")
    endif()
    list(FIND OUTPUT_MODULES pulse INDEX)
    if(NOT INDEX EQUAL -1)
        add_library(output_pulse MODULE "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/pulse.c")
        target_compile_options(output_pulse PRIVATE ${PULSE_CFLAGS})
        target_link_libraries(output_pulse PRIVATE ${PULSE_LIBRARIES})
        install(TARGETS output_pulse
            ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}/${PROJECT_NAME}")
    endif()
    list(FIND OUTPUT_MODULES tinyalsa INDEX)
    if(NOT INDEX EQUAL -1)
        add_library(output_tinyalsa MODULE "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/tinyalsa.c")
        target_compile_options(output_tinyalsa PRIVATE ${TINYALSA_CFLAGS})
        target_link_libraries(output_tinyalsa PRIVATE ${TINYALSA_LIBRARIES})
        install(TARGETS output_tinyalsa
            ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}/${PROJECT_NAME}")
    endif()
    list(FIND OUTPUT_MODULES win32 INDEX)
    if(NOT INDEX EQUAL -1)
        add_library(output_win32 MODULE "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/win32.c")
        target_link_libraries(output_win32 PRIVATE ${WIN32_LIBRARIES})
        install(TARGETS output_win32
            ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}/${PROJECT_NAME}")
    endif()
    list(FIND OUTPUT_MODULES win32_wasapi INDEX)
    if(NOT INDEX EQUAL -1)
        add_library(output_win32_wasapi MODULE "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/win32_wasapi.c")
        target_link_libraries(output_win32_wasapi PRIVATE ${WIN32_WASAPI_LIBRARIES})
        install(TARGETS output_win32_wasapi
            ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}/${PROJECT_NAME}")
    endif()
endif()

=== debian/changelog ===
mpg123 (1.26.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/control:
    - Drop dpkg-dev B-D satisfied in buster
    - Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 30 Dec 2020 10:49:40 +0100

=== debian/control ===
Source: mpg123
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Miguel A. Colón Vélez <debian.micove@gmail.com>
Build-Depends:
 debhelper-compat (= 13),
 libasound2-dev [linux-any],
 libaudio-dev,
 libjack-dev,
 libltdl-dev,
 libopenal-dev,
 libpulse-dev [!hurd-i386],
 pkg-config,
 portaudio19-dev
Standards-Version: 4.5.1
Homepage: http://mpg123.org/
Vcs-Git: https://salsa.debian.org/multimedia-team/mpg123.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/mpg123
Rules-Requires-Root: no

Package: mpg123
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 alsa-utils [linux-any],
 jackd,
 nas,
 oss-compat [linux-any],
 oss4-base [linux-any],
 pulseaudio
Provides:
 mpg123-oss-3dnow
Replaces:
 mpg123-alsa,
 mpg123-esd,
 mpg123-nas,
 mpg123-oss-3dnow,
 mpg123-oss-i486
Description: MPEG layer 1/2/3 audio player
 mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
 1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).
 .
 This package contains output plugins for several audio systems, including
 OSS4, the Advanced Linux Sound Architecture (ALSA), JACK, PortAudio,
 PulseAudio, OpenAL and the Network Audio System (NAS).

Package: libmpg123-0
Multi-Arch: same
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: MPEG layer 1/2/3 audio decoder (shared library)
 mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
 1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).
 .
 This package contains the C libraries needed to run executables that use
 the mpg123 library.

Package: libout123-0
Multi-Arch: same
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: MPEG layer 1/2/3 audio decoder (libout123 shared library)
 mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
 1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).
 .
 This package contains the shared out123 library.

Package: libsyn123-0
Multi-Arch: same
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: MPEG layer 1/2/3 audio decoder (libsyn123 shared library)
 mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
 1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).
 .
 This package contains the shared syn123 library.

Package: libmpg123-dev
Multi-Arch: same
Architecture: any
Section: libdevel
Depends:
 libmpg123-0 (= ${binary:Version}),
 libout123-0 (= ${binary:Version}),
 libsyn123-0 (= ${binary:Version}),
 ${misc:Depends}
Description: MPEG layer 1/2/3 audio decoder (development files)
 mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
 1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).
 .
 This package contains the C development headers and library files needed
 to compile programs using the mpg123 library.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

ARCH:=$(DEB_HOST_ARCH)
OS:=$(DEB_HOST_ARCH_OS)
CPU:=$(DEB_HOST_ARCH_CPU)

WRAPPER_TARGETS:=mpg123-oss mpg123-nas mpg123-jack mpg123-openal mpg123-portaudio
ifeq ($(OS),linux)
	WRAPPER_TARGETS += mpg123-alsa
endif
ifneq ($(OS),hurd)
	WRAPPER_TARGETS += mpg123-pulse
endif

CONF_COMMON:=--enable-static=no --enable-shared --enable-lfs-alias \
	--with-module-suffix=.so

CONF_i386:=--with-cpu=x86_dither
CONF_arm:=--with-cpu=generic_fpu

mpg123-%: debian/mpg123-wrapper.in
	dh_testdir
	o=`echo $@ | sed -e 's/^mpg123-\([^-]\+\).*/\1/'`; \
	sed -e "s/@OUTPUT@/$$o/g" < debian/mpg123-wrapper.in > $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONF_COMMON) $(CONF_$(CPU))

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(WRAPPER_TARGETS)

override_dh_auto_install: $(WRAPPER_TARGETS)
	dh_auto_install

	mv $(CURDIR)/debian/tmp/usr/bin/mpg123 \
	   $(CURDIR)/debian/tmp/usr/bin/mpg123.bin
	mv $(CURDIR)/debian/tmp/usr/share/man/man1/mpg123.1 \
	   $(CURDIR)/debian/tmp/usr/share/man/man1/mpg123.bin.1
	install $(WRAPPER_TARGETS) $(CURDIR)/debian/tmp/usr/bin/
	for i in $(WRAPPER_TARGETS); do \
		install debian/mpg123-wrapper.1 \
		        $(CURDIR)/debian/tmp/usr/share/man/man1/$$i.1; \
	done

override_dh_installchangelogs:
	dh_installchangelogs -pmpg123 NEWS
	dh_installchangelogs -plibmpg123-dev NEWS.libmpg123
	dh_installchangelogs --remaining-packages

%:
	dh $@

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.sig/ https://sf.net/mpg123/mpg123-(.*)\.tar.bz2

## mpg123 1.28.2

=== debian/changelog ===
mpg123 (1.28.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Aug 2021 10:58:42 +0200

mpg123 (1.28.2-1) experimental; urgency=medium

  * New upstream release

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 14 Jul 2021 22:12:06 +0200

mpg123 (1.28.0-1) experimental; urgency=medium

  * New upstream release
  * debian/rules: Remove --with-module-suffix
  * debian/control:
    - Add myself to Uploaders
    - Remove old Provides and Replaces
  * debian/copyright: Update copyright years and add myself
  * debian/*.symbols: Add new symbols

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 17 Jun 2021 09:17:51 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
- Miguel A. Colón Vélez <debian.micove@gmail.com>
+ Miguel A. Colón Vélez <debian.micove@gmail.com>,
+ Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  libasound2-dev [linux-any],
@@ -33,14 +34,6 @@
  oss-compat [linux-any],
  oss4-base [linux-any],
  pulseaudio
-Provides:
- mpg123-oss-3dnow
-Replaces:
- mpg123-alsa,
- mpg123-esd,
- mpg123-nas,
- mpg123-oss-3dnow,
- mpg123-oss-i486
 Description: MPEG layer 1/2/3 audio player
  mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
  1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).

## mpg123 1.29.3

=== debian/changelog ===
mpg123 (1.29.3-1ubuntu0.1) jammy-security; urgency=medium

  * SECURITY UPDATE: OOB write during PCM decoding
    - debian/patches/CVE-2024-10573.patch: don't prepare for actual frame
      data when there is none and separate header data into a struct,
      ensure late updating in frame in src/libmpg123/frame.c,
      src/libmpg123/frame.h, src/libmpg123/layer1.c,
      src/libmpg123/layer2.c, src/libmpg123/layer3.c,
      src/libmpg123/libmpg123.c, src/libmpg123/parse.c.
    - CVE-2024-10573

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 04 Nov 2024 13:27:24 -0500

mpg123 (1.29.3-1build1) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 17:17:18 +0100

mpg123 (1.29.3-1) unstable; urgency=medium

  * New upstream version 1.29.3

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 16 Dec 2021 23:49:00 +0100

mpg123 (1.29.2-1) unstable; urgency=medium

  * New upstream version 1.29.2

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 24 Oct 2021 11:09:13 +0200

mpg123 (1.29.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update renamed lintian tag names in lintian overrides.

  [ Sebastian Ramacher ]
  * New upstream version 1.29.1

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 20 Oct 2021 09:17:48 +0200

mpg123 (1.29.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 09 Sep 2021 23:17:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mpg123
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>,
@@ -16,7 +17,7 @@
  libpulse-dev [!hurd-i386],
  pkg-config,
  portaudio19-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: http://mpg123.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/mpg123.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mpg123

=== debian/rules ===
--- 
+++ 
@@ -4,20 +4,13 @@
 
 include /usr/share/dpkg/architecture.mk
 
-ARCH:=$(DEB_HOST_ARCH)
-OS:=$(DEB_HOST_ARCH_OS)
-CPU:=$(DEB_HOST_ARCH_CPU)
-
 WRAPPER_TARGETS:=mpg123-oss mpg123-nas mpg123-jack mpg123-openal mpg123-portaudio
-ifeq ($(OS),linux)
+ifeq ($(DEB_HOST_ARCH_OS),linux)
 	WRAPPER_TARGETS += mpg123-alsa
 endif
-ifneq ($(OS),hurd)
+ifneq ($(DEB_HOST_ARCH_OS),hurd)
 	WRAPPER_TARGETS += mpg123-pulse
 endif
-
-CONF_COMMON:=--enable-static=no --enable-shared --enable-lfs-alias \
-	--with-module-suffix=.so
 
 CONF_i386:=--with-cpu=x86_dither
 CONF_arm:=--with-cpu=generic_fpu
@@ -28,7 +21,11 @@
 	sed -e "s/@OUTPUT@/$$o/g" < debian/mpg123-wrapper.in > $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- $(CONF_COMMON) $(CONF_$(CPU))
+	dh_auto_configure -- \
+		--enable-static=no \
+		--enable-shared \
+		--enable-lfs-alias \
+		$(CONF_$(DEB_HOST_ARCH_CPU))
 
 override_dh_auto_clean:
 	dh_auto_clean

## mpg123 1.30.2

=== debian/changelog ===
mpg123 (1.30.2-1) unstable; urgency=medium

  * New upstream version 1.30.2

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 09 Aug 2022 22:35:46 +0200

mpg123 (1.30.1-1) unstable; urgency=medium

  * New upstream version 1.30.1

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 15 Jul 2022 09:51:51 +0200

mpg123 (1.30.0-1) unstable; urgency=medium

  * New upstream version 1.30.0
  * debian/control: Bump Standards-Version
  * debian/source/lintian-overrides: Override source-is-missing false-positive
  * debian/libmpg123-0.symbols: Add new symbols

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 29 Jun 2022 20:51:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mpg123
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>,
@@ -17,7 +16,7 @@
  libpulse-dev [!hurd-i386],
  pkg-config,
  portaudio19-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: http://mpg123.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/mpg123.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mpg123

## mpg123 1.31.2

=== doc/examples/Makefile ===
targets = \
  feedseek \
  mpg123_to_out123 \
  mpg123_to_wav_replaced_io \
  scan \
  id3dump \
  mpglib \
  dump_seekindex \
  extract_frames

all: $(targets)

# On largefile-aware systems you might want to use these instead:
#MPG123_CFLAGS  := $(shell pkg-config --cflags libmpg123_64)
#MPG123_LDFLAGS := $(shell pkg-config --libs   libmpg123_64)
# This works on sane setups where off_t is off_t, and just that.
ifeq ($(MPG123_PREFIX),)
  MPG123_CFLAGS  := $(shell pkg-config --cflags libmpg123)
  MPG123_LDFLAGS := $(shell pkg-config --libs   libmpg123)
  OUT123_CFLAGS  := $(shell pkg-config --cflags libout123)
  OUT123_LDFLAGS := $(shell pkg-config --libs   libout123)
else # Yeah, that's with GNU/Linux in mind, at least GNU ld ...
  MPG123_CFLAGS  := -I$(MPG123_PREFIX)/include
  MPG123_LDFLAGS := -L$(MPG123_PREFIX)/lib -Wl,-rpath $(MPG123_PREFIX)/lib -lmpg123
  OUT123_CFLAGS  := -I$(MPG123_PREFIX)/include
  OUT123_LDFLAGS := -L$(MPG123_PREFIX)/lib -Wl,-rpath $(MPG123_PREFIX)/lib -lout123
endif

# Define to any C99 compiler.
CC = cc -std=c99
CFLAGS = -O

# Oder of libs not that important here...
compile = $(CC) $(CPPFLAGS) $(CFLAGS) $(MPG123_CFLAGS)
linkflags = $(MPG123_LDFLAGS) $(LDFLAGS)

mpg123_to_out123: mpg123_to_out123.c
	$(compile) -o $@ $< $(OUT123_CFLAGS) $(OUT123_LDFLAGS) $(linkflags)

mpg123_to_wav_replaced_io: mpg123_to_wav_replaced_io.c
	$(compile) -o $@ $< $(OUT123_CFLAGS) $(OUT123_LDFLAGS) $(linkflags)

feedseek: feedseek.c
	$(compile) -o feedseek feedseek.c $(OUT123_CFLAGS) $(OUT123_LDFLAGS) $(linkflags)

scan: scan.c
	$(compile) -o scan scan.c $(linkflags)

id3dump:id3dump.c
	$(compile) -o id3dump id3dump.c $(linkflags)

dump_seekindex: dump_seekindex.c
	$(compile) -o dump_seekindex dump_seekindex.c $(linkflags)

mpglib: mpglib.c
	$(compile) -o mpglib mpglib.c $(linkflags)

extract_frames: extract_frames.c
	$(compile) -o $@ $< $(linkflags)

clean:
	rm -vf $(targets)

=== ports/cmake/CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,21 @@
 cmake_minimum_required(VERSION 3.12)
 
-project(mpg123 VERSION 1.26.0 LANGUAGES C ASM)
+include(cmake/read_api_version.cmake)
+read_api_version(MPG123_VERSION API_VERSION OUTAPI_VERSION SYNAPI_VERSION)
+
+project(mpg123 VERSION ${MPG123_VERSION} LANGUAGES C ASM)
+
+option(BUILD_LIBOUT123 "build libout123" ON)
+if(CMAKE_SYSTEM_NAME STREQUAL "WindowsStore")
+    message(WARNING "Output module is not implemented for '${CMAKE_SYSTEM_NAME}' platform.")
+    message(WARNING "To prevent build errors 'BUILD_LIBOUT123' option is set to OFF.")
+    set(BUILD_LIBOUT123 OFF)
+endif()
 
 include(cmake/search_libs.cmake)
-include(cmake/read_api_version.cmake)
 include(CMakePackageConfigHelpers)
 include(GNUInstallDirs)
 
-read_api_version(API_VERSION OUTAPI_VERSION SYNAPI_VERSION)
 set(PACKAGE_VERSION ${PROJECT_VERSION})
 add_subdirectory("src")
 
@@ -33,17 +41,29 @@
 set(libdir "${CMAKE_INSTALL_FULL_LIBDIR}")
 set(includedir "${CMAKE_INSTALL_FULL_INCLUDEDIR}")
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/../../libmpg123.pc.in" libmpg123.pc @ONLY)
-configure_file("${CMAKE_CURRENT_SOURCE_DIR}/../../libout123.pc.in" libout123.pc @ONLY)
+if(BUILD_LIBOUT123)
+    configure_file("${CMAKE_CURRENT_SOURCE_DIR}/../../libout123.pc.in" libout123.pc @ONLY)
+endif()
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/../../libsyn123.pc.in" libsyn123.pc @ONLY)
 
 install(
     FILES
         "${CMAKE_CURRENT_BINARY_DIR}/libmpg123.pc"
-        "${CMAKE_CURRENT_BINARY_DIR}/libout123.pc"
         "${CMAKE_CURRENT_BINARY_DIR}/libsyn123.pc"
     DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
+if(BUILD_LIBOUT123)
 install(
     FILES
         "${CMAKE_CURRENT_SOURCE_DIR}/../../man1/mpg123.1"
         "${CMAKE_CURRENT_SOURCE_DIR}/../../man1/out123.1"
     DESTINATION "${CMAKE_INSTALL_MANDIR}")
+
+    install(
+        FILES
+            "${CMAKE_CURRENT_BINARY_DIR}/libout123.pc"
+        DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
+    install(
+        FILES
+            "${CMAKE_CURRENT_SOURCE_DIR}/../../man1/out123.1"
+        DESTINATION "${CMAKE_INSTALL_MANDIR}")
+endif()

=== ports/cmake/src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

include(CheckCSourceCompiles)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckSymbolExists)
include(CMakeDependentOption)
include(TestBigEndian)

check_include_file("arpa/inet.h" HAVE_ARPA_INET_H)
check_include_file("dirent.h" HAVE_DIRENT_H)
check_include_file("dlfcn.h" HAVE_DLFCN_H)
check_include_file("inttypes.h" HAVE_INTTYPES_H)
check_include_file("langinfo.h" HAVE_LANGINFO_H)
check_include_file("limits.h" HAVE_LIMITS_H)
check_include_file("locale.h" HAVE_LOCALE_H)
check_include_file("netdb.h" HAVE_NETDB_H)
check_include_file("netinet/in.h" HAVE_NETINET_IN_H)
check_include_file("sched.h" HAVE_SCHED_H)
check_include_file("signal.h" HAVE_SIGNAL_H)
check_include_file("stdio.h" HAVE_STDIO_H)
check_include_file("stdint.h" HAVE_STDINT_H)
check_include_file("stdlib.h" HAVE_STDLIB_H)
check_include_file("string.h" HAVE_STRING_H)
check_include_file("strings.h" HAVE_STRINGS_H)
check_include_file("sys/ioctl.h" HAVE_SYS_IOCTL_H)
check_include_file("sys/ipc.h" HAVE_SYS_IPC_H)
check_include_file("sys/param.h" HAVE_SYS_PARAM_H)
check_include_file("sys/resource.h" HAVE_SYS_RESOURCE_H)
check_include_file("sys/select.h" HAVE_SYS_SELECT_H)
check_include_file("sys/shm.h" HAVE_SYS_SHM_H)
check_include_file("sys/signal.h" HAVE_SYS_SIGNAL_H)
check_include_file("sys/socket.h" HAVE_SYS_SOCKET_H)
check_include_file("sys/stat.h" HAVE_SYS_STAT_H)
check_include_file("sys/time.h" HAVE_SYS_TIME_H)
check_include_file("sys/types.h" HAVE_SYS_TYPES_H)
check_include_file("sys/wait.h" HAVE_SYS_WAIT_H)
check_include_file("termios.h" HAVE_TERMIOS)
check_include_file("unistd.h" HAVE_UNISTD_H)
check_include_file("windows.h" HAVE_WINDOWS_H)
function(check_m)
    set(CMAKE_REQUIRED_LIBRARIES m)
    check_function_exists(sin HAVE_M)
endfunction(check_m)
check_m()

check_function_exists(atoll HAVE_ATOLL)
check_function_exists(getaddrinfo HAVE_IPV6)
check_function_exists(mkfifo HAVE_MKFIFO)
check_function_exists(mmap HAVE_MMAP)
check_function_exists(nl_langinfo HAVE_NL_LANGINFO)
check_function_exists(random HAVE_RANDOM)
check_function_exists(setenv HAVE_SETENV)
check_function_exists(unsetenv HAVE_UNSETENV)
check_function_exists(setlocale HAVE_SETLOCALE)
check_function_exists(setpriority HAVE_SETPRIORITY)
check_function_exists(shmget HAVE_SHMGET)
check_function_exists(shmat HAVE_SHMAT)
check_function_exists(shmdt HAVE_SHMDT)
check_function_exists(shmctl HAVE_SHMCTL)
check_function_exists(strerror HAVE_STRERROR)
check_function_exists(fork HAVE_FORK)
check_function_exists(execvp HAVE_EXECVP)
check_function_exists(ctermid HAVE_CTERMID)

search_libs(gethostbyname GETHOSTBYNAME_LIB nsl socket network)
search_libs(socket SOCKET_LIB socket)

test_big_endian(WORDS_BIGENDIAN)

check_c_source_compiles(
    "int main() { __asm__(\".balign 4\"); return 0; }"
    ASMALIGN_BALIGN)
check_c_source_compiles(
    "int main() { __asm__(\".align 3\"); return 0; }"
    ASMALIGN_EXP)
if(NOT ASMALIGN_EXP)
    set(ASMALIGN_BYTE ON)
endif()

check_c_source_compiles(
    "int main() { __attribute__((aligned(16))) float var; return 0; }"
    CCALIGN)

if(MSVC)
    # Here, off_t is always 32 bit, the whole machinery doesn't work without explicit
    # API for 64 bit file access.
    unset(_FILE_OFFSET_BITS)
    set(LFS_SENSITIVE OFF)
    set(LFS_INSENSITIVE ON)
    set(MPG123_LARGE_FILE_SUPPORT OFF)
    # We disable all the dynamic naming with MSVC to avoid confusing consumers.
    # Maybe it would be more proper to conditionit on LFS_INSENSTIIVE.
    set(BUILD_NO_LARGENAME 1)
else()
    option(MPG123_LARGE_FILE_SUPPORT "Support large files (define _FILE_OFFSET_BITS)" ON)
    if(MPG123_LARGE_FILE_SUPPORT)
        set(_FILE_OFFSET_BITS 64)
    else()
        unset(_FILE_OFFSET_BITS)
    endif()
    set(BUILD_NO_LARGENAME 0)
endif()

if(NOT LFS_INSENSITIVE)
    check_c_source_compiles("
        #include <sys/types.h>
          /* Check that off_t can represent 2**63 - 1 correctly.
            We can't simply define LARGE_OFF_T to be 9223372036854775807,
            since some C++ compilers masquerading as C compilers
            incorrectly reject 9223372036854775807.  */
        #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
        int off_t_is_large[
            (LARGE_OFF_T % 2147483629 == 721 && LARGE_OFF_T % 2147483647 == 1) ? 1 : -1];
        int main() { return 0; }"
        LFS_INSENSITIVE)
endif()
if(NOT LFS_INSENSITIVE)
    check_c_source_compiles("
        #define _FILE_OFFSET_BITS 64
        #include <sys/types.h>
         /* Check that off_t can represent 2**63 - 1 correctly.
            We can't simply define LARGE_OFF_T to be 9223372036854775807,
            since some C++ compilers masquerading as C compilers
            incorrectly reject 9223372036854775807.  */
        #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
        int off_t_is_large[
            (LARGE_OFF_T % 2147483629 == 721 && LARGE_OFF_T % 2147483647 == 1) ? 1 : -1];
        int main() { return 0; }"
        LFS_SENSITIVE)
endif()
check_type_size(long SIZEOF_LONG)
check_type_size(off_t SIZEOF_OFF_T)
if(LFS_SENSITIVE)
    set(LFS_ALIAS_TYPE long)
    math(EXPR LFS_ALIAS_BITS "${SIZEOF_LONG} * 8")
elseif(CMAKE_ANDROID_ARCH_ABI)
    check_type_size(off64_t SIZEOF_OFF64_T)
    set(LFS_ALIAS_TYPE off64_t)
    math(EXPR LFS_ALIAS_BITS "${SIZEOF_OFF64_T} * 8")
else()
    set(LFS_ALIAS_TYPE off_t)
    math(EXPR LFS_ALIAS_BITS "${SIZEOF_OFF_T} * 8")
endif()

if(WIN32 AND HAVE_WINDOWS_H)
    check_c_source_compiles("
        #include <windows.h>

        int main() {
          LoadLibraryW(0);
          GetProcAddress(0, 0);
          FreeLibrary(0);
        }"
        HAVE_WIN_DL)
else()
    function(check_dl)
        set(CMAKE_REQUIRED_LIBRARIES dl)
        check_symbol_exists(dlopen "dlfcn.h" HAVE_UNIX_DL)
    endfunction(check_dl)
    check_dl()
endif()

set(DYNAMIC_BUILD ${BUILD_SHARED_LIBS})
if(MSVC)
    set(STDERR_FILENO "(_fileno(stderr))")
    set(STDIN_FILENO "(_fileno(stdin))")
    set(STDOUT_FILENO "(_fileno(stdout))")
endif()
set(HAVE_WIN32_FIFO ${WIN32})
set(WANT_WIN32_UNICODE ${WIN32})
set(WITH_SEEKTABLE 1000)

if(NOT WITH_SEEKTABLE EQUAL 0)
    set(FRAME_INDEX 1)
endif()

if(WIN32)
    set(HAVE_MKFIFO ON)
endif()

if(HAVE_NETDB_H AND HAVE_SYS_PARAM_H AND HAVE_SYS_SOCKET_H AND HAVE_NETINET_IN_H AND HAVE_ARPA_INET_H)
    set(HAVE_NETWORK ON)
endif()

if(NO_MESSAGES)
    set(NO_WARNING ON)
    set(NO_ERRORMSG ON)
    set(NO_ERETURN ON)
endif()

if(WIN32)
    set(HAVE_FPU 1)
else()
    cmake_host_system_information(RESULT HAVE_FPU QUERY HAS_FPU)
endif()

if(NOT HAVE_FPU)
    set(NO_SYNTH32 ON)
endif()

# Modules

if(BUILD_LIBOUT123)
    if(CHECK_MODULES)
        list(FIND CHECK_MODULES alsa ALSA_REQUIRED)
        list(FIND CHECK_MODULES coreaudio COREAUDIO_REQUIRED)
        list(FIND CHECK_MODULES pulse PULSE_REQUIRED)
        list(FIND CHECK_MODULES jack JACK_REQUIRED)
        list(FIND CHECK_MODULES tinyalsa TINYALSA_REQUIRED)
        list(FIND CHECK_MODULES win32 WIN32_REQUIRED)
        list(FIND CHECK_MODULES win32_wasapi WIN32_WASAPI_REQUIRED)
        set(MODULE_NOT_FOUND_MESSAGE "module required but couldn't be found")
    endif()

    if(NOT CHECK_MODULES OR NOT ALSA_REQUIRED EQUAL -1)
        find_package(ALSA)
        if(TARGET ALSA::ALSA)
            list(APPEND OUTPUT_MODULES alsa)
        elseif(CHECK_MODULES AND NOT ALSA_REQUIRED EQUAL -1)
            message(FATAL_ERROR "alsa ${MODULE_NOT_FOUND_MESSAGE}")
        endif()
    endif()

    if(NOT CHECK_MODULES OR NOT COREAUDIO_REQUIRED EQUAL -1)
        if(APPLE)
            find_library(AUDIO_TOOLBOX AudioToolbox)
            list(APPEND OUTPUT_MODULES coreaudio)
        elseif(CHECK_MODULES AND NOT COREAUDIO_REQUIRED EQUAL -1)
            message(FATAL_ERROR "coreaudio ${MODULE_NOT_FOUND_MESSAGE}")
        endif()
    endif()

    find_package(PkgConfig)
    if(PKG_CONFIG_FOUND)
        if(NOT CHECK_MODULES OR NOT PULSE_REQUIRED EQUAL -1)
            pkg_search_module(PULSE libpulse-simple)
            if(PULSE_FOUND)
                list(APPEND OUTPUT_MODULES pulse)
            elseif(CHECK_MODULES AND NOT PULSE_REQUIRED EQUAL -1)
                message(FATAL_ERROR "pulse ${MODULE_NOT_FOUND_MESSAGE}")
            endif()
        endif()

        if(NOT CHECK_MODULES OR NOT JACK_REQUIRED EQUAL -1)
            pkg_search_module(JACK jack)
            if(JACK_FOUND)
                list(APPEND OUTPUT_MODULES jack)
            elseif(CHECK_MODULES AND NOT JACK_REQUIRED EQUAL -1)
                message(FATAL_ERROR "jack ${MODULE_NOT_FOUND_MESSAGE}")
            endif()
        endif()

        if(NOT CHECK_MODULES OR NOT TINYALSA_REQUIRED EQUAL -1)
            pkg_search_module(TINYALSA tinyalsa)
            if(TINYALSA_FOUND)
                list(APPEND OUTPUT_MODULES tinyalsa)
            elseif(CHECK_MODULES AND NOT TINYALSA_REQUIRED EQUAL -1)
                message(FATAL_ERROR "tinyalsa ${MODULE_NOT_FOUND_MESSAGE}")
            endif()
        endif()
    endif()

    if(NOT CHECK_MODULES OR NOT WIN32_REQUIRED EQUAL -1)
        if(HAVE_WINDOWS_H)
            set(WIN32_LIBRARIES winmm)
            list(APPEND OUTPUT_MODULES win32)
        elseif(CHECK_MODULES AND NOT WIN32_REQUIRED EQUAL -1)
            message(FATAL_ERROR "win32 ${MODULE_NOT_FOUND_MESSAGE}")
        endif()
    endif()

    if(NOT CHECK_MODULES OR NOT WIN32_WASAPI_REQUIRED EQUAL -1)
        set(WASAPI_INCLUDES "initguid.h" "audioclient.h" "mmdeviceapi.h" "avrt.h")
        check_include_files("${WASAPI_INCLUDES}" HAVE_WASAPI)
        if(HAVE_WASAPI)
            set(WIN32_WASAPI_LIBRARIES ole32 avrt)
            list(APPEND OUTPUT_MODULES win32_wasapi)
        elseif(CHECK_MODULES AND NOT WIN32_WASAPI_REQUIRED EQUAL -1)
            message(FATAL_ERROR "win32_wasapi ${MODULE_NOT_FOUND_MESSAGE}")
        endif()
    endif()

    if(CHECK_MODULES)
        list(REMOVE_AT CHECK_MODULES
            ${ALSA_REQUIRED}
            ${COREAUDIO_REQUIRED}
            ${PULSE_REQUIRED}
            ${JACK_REQUIRED}
            ${TINYALSA_REQUIRED}
            ${WIN32_REQUIRED}
            ${WIN32_WASAPI_REQUIRED})
        list(LENGTH CHECK_MODULES CHECK_MODULES_LENGTH)
        if(NOT CHECK_MODULES_LENGTH EQUAL 0)
            message(FATAL_ERROR "Dunno how to find modules: ${CHECK_MODULES}")
        endif()
    endif()

    if(NOT OUTPUT_MODULES)
        set(DEFAULT_OUTPUT_MODULE dummy)
        set(DEFAULT_OUTPUT_MODULES ${DEFAULT_OUTPUT_MODULE})
    else()
        list(GET OUTPUT_MODULES 0 _DEFAULT_OUTPUT_MODULE)
        set(DEFAULT_OUTPUT_MODULE ${_DEFAULT_OUTPUT_MODULE} CACHE STRING "Default output module")
        if(BUILD_SHARED_LIBS)
            string(REPLACE ";" "," DEFAULT_OUTPUT_MODULES "${OUTPUT_MODULES}")
        else()
            set(DEFAULT_OUTPUT_MODULES ${DEFAULT_OUTPUT_MODULE})
        endif()
        set_property(CACHE DEFAULT_OUTPUT_MODULE PROPERTY STRINGS ${OUTPUT_MODULES})
    endif()
endif()

option(ACCURATE_ROUNDING "use rounding instead of fast truncation for integer output, where possible" ON)
cmake_dependent_option(FIFO "FIFO support for control interface" ON "HAVE_MKFIFO" OFF)
option(GAPLESS "enable gapless" ON)
option(IEEE_FLOAT "use special hackery relying on IEEE 754 floating point storage format (to accurately round to 16 bit integer at bit more efficiently in generic decoder, enabled by default, disable in case you have a very special computer)" ON)
cmake_dependent_option(IPV6 "IPv6 support (actually any protocol your libc does with getaddrinfo)" ON "HAVE_IPV6" OFF)
if(CMAKE_C_COMPILER_ID MATCHES "GNU|Clang")
    option(NAGGING "turn on GCC's pedantic nagging with error on warnings" OFF)
    if(NAGGING)
        set(CMAKE_C_STANDARD 99)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Werror -pedantic")
    endif()
endif()
cmake_dependent_option(NETWORK "network support (http streams / webradio)" ON "HAVE_NETWORK" OFF)

=== debian/changelog ===
mpg123 (1.31.2-1+deb12u1) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix buffer overflow (Frankenstein's Monster) (CVE-2024-10573)
    (Closes: #1086443)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 10 Nov 2024 16:26:42 +0100

mpg123 (1.31.2-1) unstable; urgency=medium

  * New upstream version 1.31.2
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 19 Jan 2023 23:10:37 +0100

mpg123 (1.31.1-1) unstable; urgency=medium

  * New upstream version 1.31.1
  * debian/: Move includes into arch-specific location (Closes: #1023493)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 05 Nov 2022 19:56:50 +0100

mpg123 (1.31.0-1) unstable; urgency=medium

  * New upstream version 1.31.0

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 30 Oct 2022 20:59:15 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  libpulse-dev [!hurd-i386],
  pkg-config,
  portaudio19-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: http://mpg123.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/mpg123.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mpg123

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 		--enable-static=no \
 		--enable-shared \
 		--enable-lfs-alias \
+		--includedir=\$${prefix}/include/$(DEB_HOST_MULTIARCH) \
 		$(CONF_$(DEB_HOST_ARCH_CPU))
 
 override_dh_auto_clean:

## mpg123 1.31.3

=== debian/changelog ===
mpg123 (1.31.3-2) unstable; urgency=medium

  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 08 Jun 2023 10:40:36 +0200

mpg123 (1.31.3-1) experimental; urgency=medium

  * New upstream version 1.31.3

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 02 Apr 2023 22:26:49 +0200

## mpg123 1.32.3

=== ports/cmake/src/CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,11 @@
 include(CheckIncludeFile)
 include(CheckIncludeFiles)
 include(CheckSymbolExists)
+include(CheckTypeSize)
 include(CMakeDependentOption)
 include(TestBigEndian)
+
+option(PORTABLE_API "Only build portable library API (no off_t, no internal I/O." OFF)
 
 check_include_file("arpa/inet.h" HAVE_ARPA_INET_H)
 check_include_file("dirent.h" HAVE_DIRENT_H)
@@ -54,15 +57,37 @@
 check_function_exists(setenv HAVE_SETENV)
 check_function_exists(unsetenv HAVE_UNSETENV)
 check_function_exists(setlocale HAVE_SETLOCALE)
+check_function_exists(uselocale HAVE_USELOCALE)
 check_function_exists(setpriority HAVE_SETPRIORITY)
 check_function_exists(shmget HAVE_SHMGET)
 check_function_exists(shmat HAVE_SHMAT)
 check_function_exists(shmdt HAVE_SHMDT)
 check_function_exists(shmctl HAVE_SHMCTL)
 check_function_exists(strerror HAVE_STRERROR)
+check_function_exists(strerror_l HAVE_STRERROR_L)
 check_function_exists(fork HAVE_FORK)
 check_function_exists(execvp HAVE_EXECVP)
 check_function_exists(ctermid HAVE_CTERMID)
+check_function_exists(clock_gettime HAVE_CLOCK_GETTIME)
+
+check_type_size(long SIZEOF_LONG)
+check_type_size(off_t SIZEOF_OFF_T)
+
+if(SIZEOF_OFF_T LESS 8)
+check_function_exists(lseek64 LFS_LARGEFILE_64)
+
+if(LFS_LARGEFILE_64)
+check_c_source_compiles(
+    "    #define _LARGEFILE64_SOURCE
+    #include <sys/types.h>
+    #include <sys/stat.h>
+    #include <unistd.h>
+    #include <fcntl.h>
+
+    int main(){ return open(\"/foo\", O_RDONLY|O_LARGEFILE); }
+    " HAVE_O_LARGEFILE)
+endif()
+endif()
 
 search_libs(gethostbyname GETHOSTBYNAME_LIB nsl socket network)
 search_libs(socket SOCKET_LIB socket)
@@ -82,26 +107,6 @@
 check_c_source_compiles(
     "int main() { __attribute__((aligned(16))) float var; return 0; }"
     CCALIGN)
-
-if(MSVC)
-    # Here, off_t is always 32 bit, the whole machinery doesn't work without explicit
-    # API for 64 bit file access.
-    unset(_FILE_OFFSET_BITS)
-    set(LFS_SENSITIVE OFF)
-    set(LFS_INSENSITIVE ON)
-    set(MPG123_LARGE_FILE_SUPPORT OFF)
-    # We disable all the dynamic naming with MSVC to avoid confusing consumers.
-    # Maybe it would be more proper to conditionit on LFS_INSENSTIIVE.
-    set(BUILD_NO_LARGENAME 1)
-else()
-    option(MPG123_LARGE_FILE_SUPPORT "Support large files (define _FILE_OFFSET_BITS)" ON)
-    if(MPG123_LARGE_FILE_SUPPORT)
-        set(_FILE_OFFSET_BITS 64)
-    else()
-        unset(_FILE_OFFSET_BITS)
-    endif()
-    set(BUILD_NO_LARGENAME 0)
-endif()
 
 if(NOT LFS_INSENSITIVE)
     check_c_source_compiles("
@@ -132,28 +137,22 @@
 endif()
 check_type_size(long SIZEOF_LONG)
 check_type_size(off_t SIZEOF_OFF_T)
-if(LFS_SENSITIVE)
-    set(LFS_ALIAS_TYPE long)
-    math(EXPR LFS_ALIAS_BITS "${SIZEOF_LONG} * 8")
-elseif(CMAKE_ANDROID_ARCH_ABI)
-    check_type_size(off64_t SIZEOF_OFF64_T)
-    set(LFS_ALIAS_TYPE off64_t)
-    math(EXPR LFS_ALIAS_BITS "${SIZEOF_OFF64_T} * 8")
-else()
-    set(LFS_ALIAS_TYPE off_t)
-    math(EXPR LFS_ALIAS_BITS "${SIZEOF_OFF_T} * 8")
-endif()
 
 if(WIN32 AND HAVE_WINDOWS_H)
-    check_c_source_compiles("
-        #include <windows.h>
-
-        int main() {
-          LoadLibraryW(0);
-          GetProcAddress(0, 0);
-          FreeLibrary(0);
-        }"
-        HAVE_WIN_DL)
+    check_function_exists(GetThreadErrorMode HAVE_GETTHREADERRORMODE)
+    if(HAVE_GETTHREADERRORMODE)
+        check_c_source_compiles("
+            #include <windows.h>
+
+            int main() {
+              LoadLibraryW(0);
+              GetProcAddress(0, 0);
+              FreeLibrary(0);
+            }"
+            HAVE_WIN_DL)
+    else()
+        set(HAVE_WIN_DL OFF)
+    endif()
 else()
     function(check_dl)
         set(CMAKE_REQUIRED_LIBRARIES dl)
@@ -325,3 +324,4 @@
     endif()
 endif()
 cmake_dependent_option(NETWORK "network support (http streams / webradio)" ON "HAVE_NETWORK" OFF)
+option(NEWOLD_WRITE_SAMPLE "enable new/old WRITE_SAMPLE macro for non-accurate 16 bit output, faster on certain CPUs (default on on x86-32)" OFF)

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libltdl-dev,
  libopenal-dev,
  libpulse-dev [!hurd-i386],
- pkg-config,
+ pkgconf,
  portaudio19-dev
 Standards-Version: 4.6.2
 Homepage: http://mpg123.org/
